import type { IScope } from 'angular';
import type { IExpectedArtifactSelectorViewControllerDelegate } from './ExpectedArtifactSelectorViewController';
import { ExpectedArtifactSelectorViewControllerAngularDelegate } from './ExpectedArtifactSelectorViewControllerAngularDelegate';
import type { IArtifactAccount } from '../account';
import type { IArtifactSource, IExpectedArtifact, IPipeline, IStage } from '../domain';
export declare class NgAppengineConfigArtifactDelegate extends ExpectedArtifactSelectorViewControllerAngularDelegate<IArtifactSource<IStage | IPipeline>> implements IExpectedArtifactSelectorViewControllerDelegate {
    private artifact;
    expectedArtifacts: IExpectedArtifact[];
    requestingNew: boolean;
    private getStage;
    private getPipeline;
    constructor(artifact: {
        $scope: IScope;
        id: string;
        account: string;
    });
    setAccounts: (accounts: any) => void;
    getExpectedArtifacts(): IExpectedArtifact[];
    getSelectedExpectedArtifact(): IExpectedArtifact;
    getSelectedAccount(): IArtifactAccount;
    setSelectedExpectedArtifact(e: IExpectedArtifact): void;
    setSelectedArtifactAccount(a: IArtifactAccount): void;
    createArtifact(): void;
    refreshExpectedArtifacts(): void;
}
